namespace Bazaar.Core.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InitialCreate : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Articles",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        ArticleNo = c.Int(nullable: false),
                        Matchcode = c.String(),
                        Size = c.String(),
                        Price = c.Decimal(nullable: false, precision: 18, scale: 2),
                        Sold = c.Boolean(nullable: false),
                        SellerID = c.Int(nullable: false),
                        SellerName = c.String(),
                    })
                .PrimaryKey(t => t.ID)
                .ForeignKey("dbo.Sellers", t => t.SellerID, cascadeDelete: true)
                .Index(t => t.SellerID);
            
            CreateTable(
                "dbo.CheckOuts",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        BazaarDate = c.DateTime(nullable: false),
                    })
                .PrimaryKey(t => t.ID);
            
            CreateTable(
                "dbo.Sellers",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        SellerNo = c.Int(nullable: false),
                        Name = c.String(),
                        TurnOver = c.Decimal(nullable: false, precision: 18, scale: 2),
                        CheckOutID = c.Int(nullable: false),
                        CheckOutDate = c.DateTime(nullable: false),
                    })
                .PrimaryKey(t => t.ID)
                .ForeignKey("dbo.CheckOuts", t => t.CheckOutID, cascadeDelete: true)
                .Index(t => t.CheckOutID);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Sellers", "CheckOutID", "dbo.CheckOuts");
            DropForeignKey("dbo.Articles", "SellerID", "dbo.Sellers");
            DropIndex("dbo.Sellers", new[] { "CheckOutID" });
            DropIndex("dbo.Articles", new[] { "SellerID" });
            DropTable("dbo.Sellers");
            DropTable("dbo.CheckOuts");
            DropTable("dbo.Articles");
        }
    }
}
